Bug 829348 - [RFE] Add errata variable to the TestRun class
[RFE] Add errata variable to the TestRun class
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: python-nitrate (Show other bugs)
16
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Martin Kyral
Fedora Extras Quality Assurance
:
Depends On: 831540
Blocks: 824787
  Show dependency treegraph
 
Reported: 2012-06-06 10:23 EDT by Martin Kyral
Modified: 2013-01-11 20:09 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-07 13:52:07 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Proposed patch (3.43 KB, patch)
2012-06-11 11:29 EDT, Martin Kyral
no flags Details | Diff

  None (edit)
Description Martin Kyral 2012-06-06 10:23:04 EDT
Description of problem:
https://bugzilla.redhat.com/show_bug.cgi?id=824787 depends on the presency of the errata member variable of the TestRun class.

Version-Release number of selected component (if applicable):
python-nitrate-0.8-0.fc16.noarch
Comment 1 Martin Kyral 2012-06-11 11:29:04 EDT
Created attachment 590971 [details]
Proposed patch
Comment 2 Petr Šplíchal 2012-06-13 05:33:33 EDT
Thanks for the patch, Martin. Pushed to git as:
http://fedorapeople.org/gitweb?p=psss/public_git/python-nitrate;a=commitdiff;h=d4d0927

I've enhanced the self test to make sure the errata is properly
updated on the server:

http://fedorapeople.org/gitweb?p=psss/public_git/python-nitrate;a=commitdiff;h=7fa6bae

and found bug 831540 in the xmlrpc interface. So we will have to
wait a bit until this is working.
Comment 3 Petr Šplíchal 2012-06-13 06:36:54 EDT
Plus we have to set the errata id when creating a new test run:
http://fedorapeople.org/gitweb?p=psss/public_git/python-nitrate;a=commitdiff;h=80a93c3
Comment 4 Fedora Update System 2012-12-10 07:52:08 EST
python-nitrate-0.9-0.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/python-nitrate-0.9-0.el6
Comment 5 Fedora Update System 2012-12-10 07:52:08 EST
python-nitrate-0.9-0.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/python-nitrate-0.9-0.fc17
Comment 6 Fedora Update System 2012-12-10 07:52:09 EST
python-nitrate-0.9-0.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/python-nitrate-0.9-0.fc16
Comment 7 Fedora Update System 2012-12-10 07:52:14 EST
python-nitrate-0.9-0.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/python-nitrate-0.9-0.fc18
Comment 8 Fedora Update System 2012-12-11 02:47:01 EST
python-nitrate-0.9-0.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2012-13721/python-nitrate-0.9-0.el6
Comment 9 Petr Šplíchal 2012-12-11 03:00:21 EST
Package python-nitrate-0.9-0.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing python-nitrate-0.9-0.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2012-13721/python-nitrate-0.9-0.el6
then log in and leave karma (feedback).
Comment 10 Fedora Update System 2012-12-19 03:32:30 EST
python-nitrate-0.9-0.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2012-12-19 03:43:14 EST
python-nitrate-0.9-0.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2013-01-07 13:52:09 EST
python-nitrate-0.9-0.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2013-01-11 20:09:41 EST
python-nitrate-0.9-0.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.